%define upstream_name Digest-GOST
%define upstream_version 0.06

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 16

Summary:	Perl interface to the GOST R 34.11-94 digest algorithm
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Digest/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel

%description
This module provides an interface to the GOST R 34.11-94 message digest
algorithm.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorarch}/*


%changelog
* Thu Nov 30 2023 tv <tv> 0.60.0-16.mga10
+ Revision: 2011924
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.60.0-15.mga9
+ Revision: 1861791
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.60.0-14.mga9
+ Revision: 1795677
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.60.0-13.mga9
+ Revision: 1726559
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.60.0-12.mga8
+ Revision: 1594551
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.60.0-11.mga8
+ Revision: 1529458
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.60.0-10.mga8
+ Revision: 1433536
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.60.0-9.mga7
+ Revision: 1292815
- Mageia 7 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for perl 5.28

* Wed Aug 08 2018 pterjan <pterjan> 0.60.0-7.mga7
+ Revision: 1249090
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.60.0-6.mga7
+ Revision: 1164077
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.60.0-5.mga7
+ Revision: 1148861
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.60.0-4.mga7
+ Revision: 1126518
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-3.mga6
+ Revision: 1025769
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.60.0-2.mga6
+ Revision: 957186
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.60.0-1.mga6
+ Revision: 848487
- imported package perl-Digest-GOST

